System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.IServiceProvider System.Runtime.InteropServices.ComVisible(true)

A service container is, by definition, a service provider. In addition to providing services, it also provides a mechanism for adding and removing services. Services are a foundation of the .NET Framework design-time architecture. Services provide design-time objects access to specific features and methods implemented by a service object that provides a service or services.

To obtain a service at design time, call the method of a component sited in design mode. Designers and other objects can add or remove services at design time through the interface.

Service containers can be contained by other service containers, forming a tree of service containers. By default, the interface adds services to the closest service container. When a service is added, it can be added with instructions to promote it. When a service is promoted, it is added to any parent service container, on up until the top of the service container tree is reached. This allows a designer to provide a global service that other objects in the process can use.

Provides a container for services.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Adds the specified service to the service container.

  The type of service to add. A callback object that is used to create the service. This allows a service to be declared as available, but delays the creation of the object until the service is requested.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Adds the specified service to the service container.

  The type of service to add. An instance of the service type to add. This object must implement or inherit from the type indicated by the parameter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  Adds the specified service to the service container, and optionally promotes the service to parent service containers.

  The type of service to add. A callback object that is used to create the service. This allows a service to be declared as available, but delays the creation of the object until the service is requested. true to promote this request to any parent service containers; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  Adds the specified service to the service container, and optionally promotes the service to any parent service containers.

  The type of service to add. An instance of the service type to add. This object must implement or inherit from the type indicated by the parameter. true to promote this request to any parent service containers; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Removes the specified service type from the service container.

  The type of service to remove.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Removes the specified service type from the service container, and optionally promotes the service to parent service containers.

  The type of service to remove. true to promote this request to any parent service containers; otherwise, false.